Package com.ocient.jdbc.proto

# Interface PlanProtocol.ColumnEmitterOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ColumnEmitterOperator`, `PlanProtocol.ColumnEmitterOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ColumnEmitterOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.TestColumn` | `getColumns​(int index)` | `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`int` | `getColumnsCount()` | `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`List<PlanProtocol.TestColumn>` | `getColumnsList()` | `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.TestColumnOrBuilder` | `getColumnsOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`List<? extends PlanProtocol.TestColumnOrBuilder>` | `getColumnsOrBuilderList()` | `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`long` | `getNumRows()` | `uint64 numRows = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getColumnsList

List<PlanProtocol.TestColumn> getColumnsList()
`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

### getColumns

PlanProtocol.TestColumn getColumns​(int index)
`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

### getColumnsCount

int getColumnsCount()
`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

### getColumnsOrBuilderList

List<? extends PlanProtocol.TestColumnOrBuilder> getColumnsOrBuilderList()
`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

### getColumnsOrBuilder

PlanProtocol.TestColumnOrBuilder getColumnsOrBuilder​(int index)
`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

### getNumRows

long getNumRows()
`uint64 numRows = 2;`